Bug 1842378 - [Kuryr][UPI on OSP] security group failed to deleted due to same name conflict
Summary: [Kuryr][UPI on OSP] security group failed to deleted due to same name conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Maysa Macedo
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On: 1841072
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-01 06:59 UTC by OpenShift BugZilla Robot
Modified: 2020-06-17 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-17 22:26:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3694 None closed [release-4.4] Bug 1842378: [UPI] Rely on security group ID when deleting it 2020-06-09 18:38:52 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:57 UTC

Comment 3 weiwei jiang 2020-06-04 06:18:32 UTC
Checked with 4.4.0-0.nightly-2020-06-02-202425, moved to verified.

ansible-playbook 2.8.10
  config file = /etc/ansible/ansible.cfg
  configured module search path = ['/home/jenkins/.ansible/plugins/modules', '/usr/share/ansible/plugins/modules']
  ansible python module location = /home/jenkins/venv/lib64/python3.6/site-packages/ansible
  executable location = /home/jenkins/venv/bin/ansible-playbook
  python version = 3.6.8 (default, Sep 26 2019, 11:57:09) [GCC 4.8.5 20150623 (Red Hat 4.8.5-39)]
Using /etc/ansible/ansible.cfg as config file
host_list declined parsing /home/jenkins/workspace/Remove VMs/cucushift/workdir/install-dir/inventory.yaml as it did not pass it's verify_file() method
script declined parsing /home/jenkins/workspace/Remove VMs/cucushift/workdir/install-dir/inventory.yaml as it did not pass it's verify_file() method
Parsed /home/jenkins/workspace/Remove VMs/cucushift/workdir/install-dir/inventory.yaml inventory source with yaml plugin

PLAYBOOK: down-01_security-groups.yaml *****************************************
2 plays in /home/jenkins/workspace/Remove VMs/cucushift/private-openshift-misc/v3-launch-templates/functionality-testing/aos-4_4/hosts/upi_on_openstack-scripts/down-01_security-groups.yaml
Read vars_file 'metadata.json'
Read vars_file 'metadata.json'
Read vars_file 'metadata.json'

PLAY [localhost] ***************************************************************
META: ran handlers
Read vars_file 'metadata.json'

TASK [Compute resource names] **************************************************
task path: /home/jenkins/workspace/Remove VMs/cucushift/private-openshift-misc/v3-launch-templates/functionality-testing/aos-4_4/hosts/upi_on_openstack-scripts/common.yaml:8
ok: [localhost] => {
    "ansible_facts": {
        "cluster_id_tag": "openshiftClusterID=wj44uoskur604-t26hl",
        "os_bootstrap_ignition": "wj44uoskur604-t26hl-bootstrap-ignition.json",
        "os_bootstrap_server_name": "wj44uoskur604-t26hl-bootstrap",
        "os_compute_server_name": "wj44uoskur604-t26hl-worker",
        "os_compute_trunk_name": "wj44uoskur604-t26hl-worker-trunk",
        "os_cp_server_name": "wj44uoskur604-t26hl-master",
        "os_cp_trunk_name": "wj44uoskur604-t26hl-master-trunk",
        "os_network": "wj44uoskur604-t26hl-network",
        "os_port_api": "wj44uoskur604-t26hl-api-port",
        "os_port_bootstrap": "wj44uoskur604-t26hl-bootstrap-port",
        "os_port_ingress": "wj44uoskur604-t26hl-ingress-port",
        "os_port_master": "wj44uoskur604-t26hl-master-port",
        "os_port_worker": "wj44uoskur604-t26hl-worker-port",
        "os_router": "wj44uoskur604-t26hl-external-router",
        "os_sg_master": "wj44uoskur604-t26hl-master",
        "os_sg_worker": "wj44uoskur604-t26hl-worker",
        "os_subnet": "wj44uoskur604-t26hl-nodes",
        "os_svc_network": "wj44uoskur604-t26hl-kuryr-service-network",
        "os_svc_subnet": "wj44uoskur604-t26hl-kuryr-service-subnet",
        "subnet_pool": "wj44uoskur604-t26hl-kuryr-pod-subnetpool"
    },
    "changed": false
}
META: ran handlers
META: ran handlers

PLAY [all] *********************************************************************
META: ran handlers

TASK [List security groups] ****************************************************
task path: /home/jenkins/workspace/Remove VMs/cucushift/private-openshift-misc/v3-launch-templates/functionality-testing/aos-4_4/hosts/upi_on_openstack-scripts/down-01_security-groups.yaml:13
<localhost> ESTABLISH LOCAL CONNECTION FOR USER: default
<localhost> EXEC /bin/sh -c 'echo ~default && sleep 0'
<localhost> EXEC /bin/sh -c '( umask 77 && mkdir -p "` echo /home/jenkins/.ansible/tmp/ansible-tmp-1591251058.6136281-73452793047604 `" && echo ansible-tmp-1591251058.6136281-73452793047604="` echo /home/jenkins/.ansible/tmp/ansible-tmp-1591251058.6136281-73452793047604 `" ) && sleep 0'
Using module file /home/jenkins/venv/lib64/python3.6/site-packages/ansible/modules/commands/command.py
<localhost> PUT /home/jenkins/.ansible/tmp/ansible-local-3072p23ehkzk/tmpworl1t_h TO /home/jenkins/.ansible/tmp/ansible-tmp-1591251058.6136281-73452793047604/AnsiballZ_command.py
<localhost> EXEC /bin/sh -c 'chmod u+x /home/jenkins/.ansible/tmp/ansible-tmp-1591251058.6136281-73452793047604/ /home/jenkins/.ansible/tmp/ansible-tmp-1591251058.6136281-73452793047604/AnsiballZ_command.py && sleep 0'
<localhost> EXEC /bin/sh -c '/home/jenkins/venv/bin/python3 /home/jenkins/.ansible/tmp/ansible-tmp-1591251058.6136281-73452793047604/AnsiballZ_command.py && sleep 0'

<localhost> EXEC /bin/sh -c 'rm -f -r /home/jenkins/.ansible/tmp/ansible-tmp-1591251058.6136281-73452793047604/ > /dev/null 2>&1 && sleep 0'
changed: [localhost] => {
    "changed": true,
    "cmd": [
        "openstack",
        "security",
        "group",
        "list",
        "--tags",
        "openshiftClusterID=wj44uoskur604-t26hl",
        "-f",
        "value",
        "-c",
        "ID"
    ],
    "delta": "0:00:04.216176",
    "end": "2020-06-04 06:11:03.242352",
    "invocation": {
        "module_args": {
            "_raw_params": "openstack security group list --tags openshiftClusterID=wj44uoskur604-t26hl -f value -c ID",
            "_uses_shell": false,
            "argv": null,
            "chdir": null,
            "creates": null,
            "executable": null,
            "removes": null,
            "stdin": null,
            "stdin_add_newline": true,
            "strip_empty_ends": true,
            "warn": true
        }
    },
    "rc": 0,
    "start": "2020-06-04 06:10:59.026176",
    "stderr": "",
    "stderr_lines": [],
    "stdout": "013c6594-760f-4485-849f-3c814d8a9d2a\n02933023-19d5-4bf3-a0c7-c41a16512457\n0442e3fb-d7d8-4701-bb03-04d8f95a8644\n05d1aec3-50d1-4439-9290-b9d4c8da949d\n06731edb-bee2-4aa4-a032-84f052216cc9\n0f89a20b-67ab-4e4f-ab68-3aa11502712c\n138cfc26-4307-43a9-adb6-cbc58bc5fffd\n16468a11-f07f-477e-a919-23a5f6710625\n17b69dd6-be21-4fc6-8181-209ec9f405f1\n1a7ce2bd-3a33-430d-bf3e-646dc74a1a4d\n1d5f1ddf-9be6-4668-aaaf-c66e14ce7381\n25e2f4e2-dad1-4b48-bf34-c97d6a06c01b\n26eb7a2f-708e-4296-b56b-d565228e1944\n270a983f-0273-436a-991d-c37ced5cb439\n352af51d-3653-41cd-bcc7-4c51f64556ae\n3c952dbf-c793-4f48-8510-8f12448c2b1f\n3ef36a3c-946a-4c1f-833a-e3dd78ba2281\n41674438-9e26-4a2a-b20d-03d86471bf22\n5d88f10c-5ae1-48e5-8fd3-96631f5ffaf2\n5f18655b-4a17-470b-9743-5f0be5c3f226\n628375bf-ae95-4701-b14b-2d744512295a\n69fc9554-8750-45fd-aeff-a15fbe112973\n7105e5e0-4e3b-4f02-a45b-8569525bc2c7\n71280d0c-f8d8-40e3-a18f-74cfa828bee5\n887fc758-235c-407a-9d89-46d0924d0c82\n9215ed55-5e14-4b16-96af-61807efc41ee\n95d24454-aec7-4845-ba40-d0bf1d90f344\n96447e3f-bf51-4f2c-aad8-660180002c3e\n9a1793a1-1314-426c-8d8a-3890a333a752\n9f2b1afe-f16e-4f4c-b786-987bdabcd404\nb1a07b1d-ef00-4379-a795-3c073d0c8a0f\nb2f8c6d0-f8dc-411e-accc-7223395f71d1\nb409b0ec-db47-4120-84c4-eb6bafdb6dff\nbb3fdbc2-749b-4136-8270-22dee89df9c2\nbb677dda-7516-44f6-ac97-3e554f051e7e\nbd3023a0-25fc-4849-bc16-0f1e6bfe0dae\nc466a316-472a-4aae-bbf8-3b366888a728\ncbf66ec0-7f1c-4f95-853f-bb002b838336\nd0c0b0d8-7c33-4e7e-bfd5-a157316b7d3d\nd7c80ddf-9d2d-4161-b816-0279b35dd30f\nd85edee8-3b94-4bcc-9a6f-14aba3eb8055\ne26468ed-9075-4b74-9063-a3f107d0fcf4\ne3e35e33-9214-4332-a875-504574b84107\ne4324307-f691-4272-a693-d23a83578264\nf30778d2-afda-4811-9ec6-cab83a602949\nf3fc0fc7-dd44-4238-a79c-d831b0a17af5\nf431b58c-9185-471f-a7f6-3a4ca8b49a4c\nf6a8dd8b-86cc-4dc3-8605-d57cfba62cfb\nf944d9be-d863-441c-a511-ad5274485740\nfff3db14-7cd6-47de-9611-d2f6916e5efd",
    "stdout_lines": [
        "013c6594-760f-4485-849f-3c814d8a9d2a",
        "02933023-19d5-4bf3-a0c7-c41a16512457",
        "0442e3fb-d7d8-4701-bb03-04d8f95a8644",
        "05d1aec3-50d1-4439-9290-b9d4c8da949d",
        "06731edb-bee2-4aa4-a032-84f052216cc9",
        "0f89a20b-67ab-4e4f-ab68-3aa11502712c",
        "138cfc26-4307-43a9-adb6-cbc58bc5fffd",
        "16468a11-f07f-477e-a919-23a5f6710625",
        "17b69dd6-be21-4fc6-8181-209ec9f405f1",
        "1a7ce2bd-3a33-430d-bf3e-646dc74a1a4d",
        "1d5f1ddf-9be6-4668-aaaf-c66e14ce7381",
        "25e2f4e2-dad1-4b48-bf34-c97d6a06c01b",
        "26eb7a2f-708e-4296-b56b-d565228e1944",
        "270a983f-0273-436a-991d-c37ced5cb439",
        "352af51d-3653-41cd-bcc7-4c51f64556ae",
        "3c952dbf-c793-4f48-8510-8f12448c2b1f",
        "3ef36a3c-946a-4c1f-833a-e3dd78ba2281",
        "41674438-9e26-4a2a-b20d-03d86471bf22",
        "5d88f10c-5ae1-48e5-8fd3-96631f5ffaf2",
        "5f18655b-4a17-470b-9743-5f0be5c3f226",
        "628375bf-ae95-4701-b14b-2d744512295a",
        "69fc9554-8750-45fd-aeff-a15fbe112973",
        "7105e5e0-4e3b-4f02-a45b-8569525bc2c7",
        "71280d0c-f8d8-40e3-a18f-74cfa828bee5",
        "887fc758-235c-407a-9d89-46d0924d0c82",
        "9215ed55-5e14-4b16-96af-61807efc41ee",
        "95d24454-aec7-4845-ba40-d0bf1d90f344",
        "96447e3f-bf51-4f2c-aad8-660180002c3e",
        "9a1793a1-1314-426c-8d8a-3890a333a752",
        "9f2b1afe-f16e-4f4c-b786-987bdabcd404",
        "b1a07b1d-ef00-4379-a795-3c073d0c8a0f",
        "b2f8c6d0-f8dc-411e-accc-7223395f71d1",
        "b409b0ec-db47-4120-84c4-eb6bafdb6dff",
        "bb3fdbc2-749b-4136-8270-22dee89df9c2",
        "bb677dda-7516-44f6-ac97-3e554f051e7e",
        "bd3023a0-25fc-4849-bc16-0f1e6bfe0dae",
        "c466a316-472a-4aae-bbf8-3b366888a728",
        "cbf66ec0-7f1c-4f95-853f-bb002b838336",
        "d0c0b0d8-7c33-4e7e-bfd5-a157316b7d3d",
        "d7c80ddf-9d2d-4161-b816-0279b35dd30f",
        "d85edee8-3b94-4bcc-9a6f-14aba3eb8055",
        "e26468ed-9075-4b74-9063-a3f107d0fcf4",
        "e3e35e33-9214-4332-a875-504574b84107",
        "e4324307-f691-4272-a693-d23a83578264",
        "f30778d2-afda-4811-9ec6-cab83a602949",
        "f3fc0fc7-dd44-4238-a79c-d831b0a17af5",
        "f431b58c-9185-471f-a7f6-3a4ca8b49a4c",
        "f6a8dd8b-86cc-4dc3-8605-d57cfba62cfb",
        "f944d9be-d863-441c-a511-ad5274485740",
        "fff3db14-7cd6-47de-9611-d2f6916e5efd"
    ]
}

TASK [Remove the cluster security groups] **************************************
task path: /home/jenkins/workspace/Remove VMs/cucushift/private-openshift-misc/v3-launch-templates/functionality-testing/aos-4_4/hosts/upi_on_openstack-scripts/down-01_security-groups.yaml:18
<localhost> ESTABLISH LOCAL CONNECTION FOR USER: default
<localhost> EXEC /bin/sh -c 'echo ~default && sleep 0'
<localhost> EXEC /bin/sh -c '( umask 77 && mkdir -p "` echo /home/jenkins/.ansible/tmp/ansible-tmp-1591251063.3102584-88852835891770 `" && echo ansible-tmp-1591251063.3102584-88852835891770="` echo /home/jenkins/.ansible/tmp/ansible-tmp-1591251063.3102584-88852835891770 `" ) && sleep 0'
Using module file /home/jenkins/venv/lib64/python3.6/site-packages/ansible/modules/commands/command.py
<localhost> PUT /home/jenkins/.ansible/tmp/ansible-local-3072p23ehkzk/tmp0dlwymz4 TO /home/jenkins/.ansible/tmp/ansible-tmp-1591251063.3102584-88852835891770/AnsiballZ_command.py
<localhost> EXEC /bin/sh -c 'chmod u+x /home/jenkins/.ansible/tmp/ansible-tmp-1591251063.3102584-88852835891770/ /home/jenkins/.ansible/tmp/ansible-tmp-1591251063.3102584-88852835891770/AnsiballZ_command.py && sleep 0'
<localhost> EXEC /bin/sh -c '/home/jenkins/venv/bin/python3 /home/jenkins/.ansible/tmp/ansible-tmp-1591251063.3102584-88852835891770/AnsiballZ_command.py && sleep 0'

<localhost> EXEC /bin/sh -c 'rm -f -r /home/jenkins/.ansible/tmp/ansible-tmp-1591251063.3102584-88852835891770/ > /dev/null 2>&1 && sleep 0'
changed: [localhost] => (item=[0, '013c6594-760f-4485-849f-3c814d8a9d2a']) => {
    "ansible_loop_var": "item",
    "changed": true,
    "cmd": [
        "openstack",
        "security",
        "group",
        "delete",
        "013c6594-760f-4485-849f-3c814d8a9d2a"
    ],
    "delta": "0:00:03.383870",
    "end": "2020-06-04 06:11:06.917349",
    "invocation": {
        "module_args": {
            "_raw_params": "openstack security group delete 013c6594-760f-4485-849f-3c814d8a9d2a",
            "_uses_shell": false,
            "argv": null,
            "chdir": null,
            "creates": null,
            "executable": null,
            "removes": null,
            "stdin": null,
            "stdin_add_newline": true,
            "strip_empty_ends": true,
            "warn": true
        }
    },
    "item": [
        0,
        "013c6594-760f-4485-849f-3c814d8a9d2a"
    ],
    "rc": 0,
    "start": "2020-06-04 06:11:03.533479",
    "stderr": "",
    "stderr_lines": [],
    "stdout": "",
    "stdout_lines": []
}
<localhost> EXEC /bin/sh -c 'echo ~default && sleep 0'
<localhost> EXEC /bin/sh -c '( umask 77 && mkdir -p "` echo /home/jenkins/.ansible/tmp/ansible-tmp-1591251066.9588172-21173374760353 `" && echo ansible-tmp-1591251066.9588172-21173374760353="` echo /home/jenkins/.ansible/tmp/ansible-tmp-1591251066.9588172-21173374760353 `" ) && sleep 0'
Using module file /home/jenkins/venv/lib64/python3.6/site-packages/ansible/modules/commands/command.py
<localhost> PUT /home/jenkins/.ansible/tmp/ansible-local-3072p23ehkzk/tmpvos9qumj TO /home/jenkins/.ansible/tmp/ansible-tmp-1591251066.9588172-21173374760353/AnsiballZ_command.py
<localhost> EXEC /bin/sh -c 'chmod u+x /home/jenkins/.ansible/tmp/ansible-tmp-1591251066.9588172-21173374760353/ /home/jenkins/.ansible/tmp/ansible-tmp-1591251066.9588172-21173374760353/AnsiballZ_command.py && sleep 0'
<localhost> EXEC /bin/sh -c '/home/jenkins/venv/bin/python3 /home/jenkins/.ansible/tmp/ansible-tmp-1591251066.9588172-21173374760353/AnsiballZ_command.py && sleep 0'

<localhost> EXEC /bin/sh -c 'rm -f -r /home/jenkins/.ansible/tmp/ansible-tmp-1591251066.9588172-21173374760353/ > /dev/null 2>&1 && sleep 0'
changed: [localhost] => (item=[1, '02933023-19d5-4bf3-a0c7-c41a16512457']) => {
    "ansible_loop_var": "item",
    "changed": true,
    "cmd": [
        "openstack",
        "security",
        "group",
        "delete",
        "02933023-19d5-4bf3-a0c7-c41a16512457"
    ],
    "delta": "0:00:03.452293",
    "end": "2020-06-04 06:11:10.611897",
    "invocation": {
        "module_args": {
            "_raw_params": "openstack security group delete 02933023-19d5-4bf3-a0c7-c41a16512457",
            "_uses_shell": false,
            "argv": null,
            "chdir": null,
            "creates": null,
            "executable": null,
            "removes": null,
            "stdin": null,
            "stdin_add_newline": true,
            "strip_empty_ends": true,
            "warn": true
        }
    },
    "item": [
        1,
        "02933023-19d5-4bf3-a0c7-c41a16512457"
    ],
    "rc": 0,
    "start": "2020-06-04 06:11:07.159604",
    "stderr": "",
    "stderr_lines": [],
    "stdout": "",
    "stdout_lines": []
}
......
<localhost> EXEC /bin/sh -c 'echo ~default && sleep 0'
<localhost> EXEC /bin/sh -c '( umask 77 && mkdir -p "` echo /home/jenkins/.ansible/tmp/ansible-tmp-1591251243.697004-273858775423854 `" && echo ansible-tmp-1591251243.697004-273858775423854="` echo /home/jenkins/.ansible/tmp/ansible-tmp-1591251243.697004-273858775423854 `" ) && sleep 0'
Using module file /home/jenkins/venv/lib64/python3.6/site-packages/ansible/modules/commands/command.py
<localhost> PUT /home/jenkins/.ansible/tmp/ansible-local-3072p23ehkzk/tmpvhbcv91q TO /home/jenkins/.ansible/tmp/ansible-tmp-1591251243.697004-273858775423854/AnsiballZ_command.py
<localhost> EXEC /bin/sh -c 'chmod u+x /home/jenkins/.ansible/tmp/ansible-tmp-1591251243.697004-273858775423854/ /home/jenkins/.ansible/tmp/ansible-tmp-1591251243.697004-273858775423854/AnsiballZ_command.py && sleep 0'
<localhost> EXEC /bin/sh -c '/home/jenkins/venv/bin/python3 /home/jenkins/.ansible/tmp/ansible-tmp-1591251243.697004-273858775423854/AnsiballZ_command.py && sleep 0'

<localhost> EXEC /bin/sh -c 'rm -f -r /home/jenkins/.ansible/tmp/ansible-tmp-1591251243.697004-273858775423854/ > /dev/null 2>&1 && sleep 0'
changed: [localhost] => (item=[49, 'fff3db14-7cd6-47de-9611-d2f6916e5efd']) => {
    "ansible_loop_var": "item",
    "changed": true,
    "cmd": [
        "openstack",
        "security",
        "group",
        "delete",
        "fff3db14-7cd6-47de-9611-d2f6916e5efd"
    ],
    "delta": "0:00:03.284607",
    "end": "2020-06-04 06:14:07.175031",
    "invocation": {
        "module_args": {
            "_raw_params": "openstack security group delete fff3db14-7cd6-47de-9611-d2f6916e5efd",
            "_uses_shell": false,
            "argv": null,
            "chdir": null,
            "creates": null,
            "executable": null,
            "removes": null,
            "stdin": null,
            "stdin_add_newline": true,
            "strip_empty_ends": true,
            "warn": true
        }
    },
    "item": [
        49,
        "fff3db14-7cd6-47de-9611-d2f6916e5efd"
    ],
    "rc": 0,
    "start": "2020-06-04 06:14:03.890424",
    "stderr": "",
    "stderr_lines": [],
    "stdout": "",
    "stdout_lines": []
}
META: ran handlers
META: ran handlers

PLAY RECAP *********************************************************************
localhost                  : ok=3    changed=2    unreachable=0    failed=0    skipped=0    rescued=0    ignored=0

Comment 5 errata-xmlrpc 2020-06-17 22:26:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.